Crystal Space: csMapNode Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csMapNode Class Reference

A node. More...

`#include <cstool/mapnode.h>`

Inheritance diagram for csMapNode:

[legend]
List of all members.

## Public Member Functions
| csMapNode (const char *Name)
| The constructor. Requires the Nodes name!
virtual const csVector3 & | GetPosition () const
| Get the position of the node.
virtual iSector * | GetSector () const
| Get the sector of the node.
virtual const csVector3 & | GetXVector () const
| Get the x vector of the node.
virtual const csVector3 & | GetYVector () const
| Get the y vector of the node.
virtual const csVector3 & | GetZVector () const
| Get the z vector of the node.
virtual iObject * | QueryObject ()
| Get the iObject.
virtual void | SetPosition (const csVector3 &pos)
| Set the position of the node.
virtual void | SetSector (iSector *sec)
| Set the sector of the node.
virtual void | SetXVector (const csVector3 &vec)
| Set the x vector of the node.
virtual void | SetYVector (const csVector3 &vec)
| Set the y vector of the node.
virtual void | SetZVector (const csVector3 &vec)
| Set the z vector of the node.
virtual | ~csMapNode ()
| The destructor as usual.
## Static Public Member Functions
static iMapNode * | GetNode (iSector *pSector, const char *name, const char *classname=0)
| Get a node with the given name and a given classname. (shortcut).

## Detailed Description

A node.

This is an iObject that is bound to a position and a sector in the world.

Definition at line 38 of file mapnode.h.

## Constructor & Destructor Documentation

csMapNode::csMapNode | ( | const char * | Name | ) |

The constructor. Requires the Nodes name!

virtual csMapNode::~csMapNode | ( |  | ) | `[virtual]`

The destructor as usual.

## Member Function Documentation

static iMapNode* csMapNode::GetNode | ( | iSector * | pSector,
|  | const char * | name,
|  | const char * | classname = `0` |
| ) |  |  | `[static]`

Get a node with the given name and a given classname. (shortcut).

virtual const csVector3& csMapNode::GetPosition | ( |  | ) | const`[inline, virtual]`

Get the position of the node.

Implements iMapNode.

Definition at line 54 of file mapnode.h.

virtual iSector* csMapNode::GetSector | ( |  | ) | const`[inline, virtual]`

Get the sector of the node.

Implements iMapNode.

Definition at line 63 of file mapnode.h.

virtual const csVector3& csMapNode::GetXVector | ( |  | ) | const`[inline, virtual]`

Get the x vector of the node.

Implements iMapNode.

Definition at line 56 of file mapnode.h.

virtual const csVector3& csMapNode::GetYVector | ( |  | ) | const`[inline, virtual]`

Get the y vector of the node.

Implements iMapNode.

Definition at line 58 of file mapnode.h.

virtual const csVector3& csMapNode::GetZVector | ( |  | ) | const`[inline, virtual]`

Get the z vector of the node.

Implements iMapNode.

Definition at line 60 of file mapnode.h.

virtual iObject* csMapNode::QueryObject | ( |  | ) | `[inline, virtual]`

Get the iObject.

Implements iMapNode.

Definition at line 52 of file mapnode.h.

virtual void csMapNode::SetPosition | ( | const csVector3 & | pos | ) | `[inline, virtual]`

Set the position of the node.

Implements iMapNode.

Definition at line 53 of file mapnode.h.

virtual void csMapNode::SetSector | ( | iSector * | sec | ) | `[virtual]`

Set the sector of the node.

Implements iMapNode.

virtual void csMapNode::SetXVector | ( | const csVector3 & | vec | ) | `[inline, virtual]`

Set the x vector of the node.

Implements iMapNode.

Definition at line 55 of file mapnode.h.

virtual void csMapNode::SetYVector | ( | const csVector3 & | vec | ) | `[inline, virtual]`

Set the y vector of the node.

Implements iMapNode.

Definition at line 57 of file mapnode.h.

virtual void csMapNode::SetZVector | ( | const csVector3 & | vec | ) | `[inline, virtual]`

Set the z vector of the node.

Implements iMapNode.

Definition at line 59 of file mapnode.h.

The documentation for this class was generated from the following file:

- cstool/mapnode.h